package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ActivePairSnOpenApiDto
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ActivePairSnOpenApiDto   {
  @JsonProperty("sn")
  private String sn;

  @JsonProperty("licenseType")
  private String licenseType;

  @JsonProperty("licenseId")
  private String licenseId;

  public ActivePairSnOpenApiDto sn(String sn) {
    this.sn = sn;
    return this;
  }

  /**
   * Device serial number. It should contains 13 characters.
   * @return sn
  */
  @ApiModelProperty(required = true, value = "Device serial number. It should contains 13 characters.")
  @NotNull


  public String getSn() {
    return sn;
  }

  public void setSn(String sn) {
    this.sn = sn;
  }

  public ActivePairSnOpenApiDto licenseType(String licenseType) {
    this.licenseType = licenseType;
    return this;
  }

  /**
   * License type should be a value as follows: 1year; 2years; 3years; 4years; 5years; others; trial
   * @return licenseType
  */
  @ApiModelProperty(required = true, value = "License type should be a value as follows: 1year; 2years; 3years; 4years; 5years; others; trial")
  @NotNull


  public String getLicenseType() {
    return licenseType;
  }

  public void setLicenseType(String licenseType) {
    this.licenseType = licenseType;
  }

  public ActivePairSnOpenApiDto licenseId(String licenseId) {
    this.licenseId = licenseId;
    return this;
  }

  /**
   * License ID
   * @return licenseId
  */
  @ApiModelProperty(value = "License ID")


  public String getLicenseId() {
    return licenseId;
  }

  public void setLicenseId(String licenseId) {
    this.licenseId = licenseId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ActivePairSnOpenApiDto activePairSnOpenApiDto = (ActivePairSnOpenApiDto) o;
    return Objects.equals(this.sn, activePairSnOpenApiDto.sn) &&
        Objects.equals(this.licenseType, activePairSnOpenApiDto.licenseType) &&
        Objects.equals(this.licenseId, activePairSnOpenApiDto.licenseId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(sn, licenseType, licenseId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ActivePairSnOpenApiDto {\n");
    
    sb.append("    sn: ").append(toIndentedString(sn)).append("\n");
    sb.append("    licenseType: ").append(toIndentedString(licenseType)).append("\n");
    sb.append("    licenseId: ").append(toIndentedString(licenseId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

